<template>
    <div class="container">
        <h1>Test Add data</h1>
        <form action="/users">
            <div class="form-group">
                <label>name</label>
                <input type="text" v-model="name" class="form-control">
            </div>
            <div class="form-group">
                <label>city</label>
                <input type="text"  v-model="city" class="form-control">
            </div>
            <div class="form-group">
                <button v-on:click="newUser()" class="btn-success btn">Save</button>
            </div>
        </form>
    </div>
</template>

<script>
    export default {
        data() {
            return {
                name: '',
                city: ''
            }
        },methods:{
            newUser(){
                axios.post('/api/users',{
                    name:this.name,
                    city:this.city,
                })
            }
        }
    }
</script>

<style scoped>

</style>
